跳到主要内容
Qeel 契语间

QEEL API REFERENCE

API 文档

Qeel 检测接口使用 JSON 请求。这里是接口参考页;直接打开 /api/ 不是文档入口。

基础信息

API 基础路径为 /api。健康检查:GET /api/readyz。大多数检测接口使用 POST 并提交 {"target":"qeel.cn"}。

当前可用接口

PingPOST /api/pinghost
TraceroutePOST /api/traceroutehost
MTRPOST /api/mtrhost
PortPOST /api/porthost_port
PortsPOST /api/portshost_ports
RoutePOST /api/qeel-tools/routehost
IPv6POST /api/qeel-tools/ipv6domain
DNSPOST /api/dnsdomain
Domain / RDAPPOST /api/domaindomain
DNSSECPOST /api/dnssecdomain
TTLPOST /api/ttldomain
DNS MatrixPOST /api/dns-matrixdomain
CAAPOST /api/caadomain
CNAMEPOST /api/cnamedomain
NS CheckPOST /api/ns-checkdomain
Reverse DNSPOST /api/reversehost
DNS HealthPOST /api/dns-healthdomain
HTTPPOST /api/httpurl
SSLPOST /api/sslhost
HeadersPOST /api/headersurl
RedirectPOST /api/qeel-tools/redirecturl
RobotsPOST /api/robotsurl
SpeedPOST /api/speedurl
Site AuditPOST /api/site-auditurl
MailPOST /api/maildomain
SPFPOST /api/spf-checkdomain
DMARCPOST /api/dmarc-checkdomain
DKIMPOST /api/dkim-checkdomain
BIMIPOST /api/bimi-checkdomain
MTA-STSPOST /api/mta-stsdomain
TLS-RPTPOST /api/tls-rptdomain
RBLPOST /api/rblhost
IPPOST /api/iphost
ICPPOST /api/icpdomain
Qeel 360POST /api/qeel360domain

ICP

ICP 为兼容现有后端,同时提交 target 与 domain:{"target":"qeel.cn","domain":"qeel.cn"}。

Route 与 Traceroute

Route 使用兼容接口 /api/qeel-tools/route 并复用 MTR;Traceroute 使用 /api/traceroute,在传统探测受限时会使用 MTR 路径兜底。